Page MenuHomePhabricator

Analysis of short term impact of Mexico campaign to site and landing page traffic
Closed, ResolvedPublicJan 31 2019

Description

Similar to T204275, we want to understand what traffic was driven by the campaign that is about to conclude in Mexico. See the epic T193299 for more details.

Note that the video linked to a custom landing page: http://bienvenida.wikimedia.org

Campaign timeline: linked here and will be published in final report for public consumption

Key question: Did video campaign impact traffic to es.wikipedia.org?

Write-up on Meta: https://meta.wikimedia.org/wiki/New_Readers/Raising_Awareness_in_Mexico/Short-term_Impacts

Details

Due Date
Jan 31 2019, 8:00 AM

Event Timeline

atgo changed Due Date from Mar 31 2019, 7:00 AM to Jan 31 2019, 8:00 AM.
atgo updated the task description. (Show Details)Dec 1 2018, 12:48 AM
Isaac added a subscriber: Isaac.Dec 3 2018, 10:47 PM
leila added a subscriber: leila.Dec 3 2018, 10:55 PM
chelsyx reassigned this task from chelsyx to Isaac.Dec 5 2018, 7:11 PM
chelsyx added a subscriber: chelsyx.
chelsyx moved this task from Triage to Tracking on the Product-Analytics board.Dec 6 2018, 9:35 PM

Hey @chelsyx. Do you need anything else from this task? I am working on getting a detailed timeline and should have it by EOY

Thanks for asking @atgo -- @chelsyx and I are meeting tomorrow to discuss this task so should be able to get you an answer then

Great, thanks!

Isaac added a comment.Dec 14 2018, 1:19 AM

Hey Ann - just a few quick updates and early insights:

  • So far we're seeing huge drop-offs both between views of video -> landing page, and then again with landing page -> Wikipedia. For instance, across Youtube and Facebook, it seems like there is about 5M views for the video. This has led to 34K views on the landing page (<1% of views -> landing page) and 1.3K (4%) of those people go onto Wikipedia. So the landing page is the ending place for a lot of traffic. It also has not translated into many app installs (there have been about 300 clicks on the install links but no noticeable bump in installs from iOS or Google).
  • Over 90% of the people who do make it to Wikipedia from the video are on devices that already visited in the last month (with the vast majority already have visited that day) -- this suggests that most people who click-through are already familiar with Wikipedia.
  • Of the people who click-through to the Main Page or Música de América Latina Wikipedia articles, the vast majority don't read any further (that's not highly surprising, but it would have been nice if we saw evidence of exploration beyond the initial page).

I think we have largely the access to data etc. that is needed, but a few questions:

  • When are the campaigns likely ending (and it makes sense to compute the "official" numbers)?
  • My intention right now would be to write up a page on Meta that contains more or less what I said below with more formal numbers -- is that okay by you?
  • Are there other pieces of information that would be useful to know?

I think I still want to see the views of video by country on YouTube, but it seems they change the account (foundationwikimedia) password. @atgo can you send us the new one?

Also I just found that we uploaded the same video with subtitle on Facebook:


Are we promoting both video?

Hi both!

I think I still want to see the views of video by country on YouTube, but it seems they change the account (foundationwikimedia) password. @atgo can you send us the new one?

I will request the password by email - I don't have it, but Aubrie should be able to get you set up.

Also I just found that we uploaded the same video with subtitle on Facebook:


Are we promoting both video?

We promoted across twitter, instagram, facebook, and youtube. We stopped our promotion on twitter and instagram very quickly because they weren't performing as well as the other channels, so the bulk of our views came from those channels. I'm waiting to get all the info about promotion periods and views, hopefully next week.

Hey Ann - just a few quick updates and early insights:

  • So far we're seeing huge drop-offs both between views of video -> landing page, and then again with landing page -> Wikipedia. For instance, across Youtube and Facebook, it seems like there is about 5M views for the video. This has led to 34K views on the landing page (<1% of views -> landing page) and 1.3K (4%) of those people go onto Wikipedia. So the landing page is the ending place for a lot of traffic. It also has not translated into many app installs (there have been about 300 clicks on the install links but no noticeable bump in installs from iOS or Google).

Thanks for the info. This is more or less what's expected as we're learning.

  • Over 90% of the people who do make it to Wikipedia from the video are on devices that already visited in the last month (with the vast majority already have visited that day) -- this suggests that most people who click-through are already familiar with Wikipedia.

This is really interesting. If we were to do another similar campaign, but that directed straight to Wikipedia, would we be able to know about repeat visitors as well? This could help us understand if our targeting is working...

  • Of the people who click-through to the Main Page or Música de América Latina Wikipedia articles, the vast majority don't read any further (that's not highly surprising, but it would have been nice if we saw evidence of exploration beyond the initial page).

I think we have largely the access to data etc. that is needed, but a few questions:

  • When are the campaigns likely ending (and it makes sense to compute the "official" numbers)?

Soon! The last promotion is wrapping up. WMMexico will be doing some work in January, but we don't need to incorporate that into our reporting at this time.

  • My intention right now would be to write up a page on Meta that contains more or less what I said below with more formal numbers -- is that okay by you?

Totally, go for it.

  • Are there other pieces of information that would be useful to know?

Like I said, I'll share the whole campaign timeline as soon a I have it. I imagine that will expose some more questions :)

Isaac added a comment.Dec 19 2018, 3:13 PM

Over 90% of the people who do make it to Wikipedia from the video are on devices that already visited in the last month (with the vast majority already have visited that day) -- this suggests that most people who click-through are already familiar with Wikipedia.

This is really interesting. If we were to do another similar campaign, but that directed straight to Wikipedia, would we be able to know about repeat visitors as well? This could help us understand if our targeting is working...

So we cannot reliably match visitors to the site over long periods of time -- i.e. we cannot say that a device that visited one day was the same device that visited two+ days ago with any confidence. All we can say is whether a given device has visited in the last thirty days (and if so, which day). If we did another campaign, we'd be able to repeat this analysis and say X% of visitors were on new devices, Y% had visited in the last thirty days (or any other smaller number), but we wouldn't be able to draw any connections between the people who visited from this campaign and a future campaign.

Soon! The last promotion is wrapping up. WMMexico will be doing some work in January, but we don't need to incorporate that into our reporting at this time.

Everything else sounds great -- I'll get started on prepping a Meta page and when you let me know that the campaigns have concluded (or you'd like to see the final statistics), I'll re-run the queries and prepare the results. The data that we need is available for 90 days, so long as all of this happens by the end of January, there are no concerns about the webrequest data being purged before we can run analyses.

Perfect, thanks @Isaac

atgo updated the task description. (Show Details)Dec 21 2018, 6:24 PM
atgo updated the task description. (Show Details)

@chelsyx @Isaac I've linked the campaign timeline to you in the task description. The campaign has now concluded. Let me know if you need anything else :)

Isaac added a comment.Dec 21 2018, 6:52 PM

thanks @atgo! I will work on this in the new year and hopefully get you something pretty quickly

atgo moved this task from Backlog to Doing on the New-Readers board.Jan 2 2019, 9:11 PM
Isaac added a comment.Jan 3 2019, 10:53 PM

Happy New Year @atgo -- I've drafted the meta page on these results for the whole of the campaign (Nov 15 - Dec 16). If you have any questions, by all means let me know!

https://meta.wikimedia.org/wiki/New_Readers/Raising_Awareness_in_Mexico/Short-term_Impacts

Thanks @Isaac! Is this bug with Piwik going to be resolved?

Isaac added a comment.Jan 9 2019, 8:51 PM

Ahh...@atgo, I found the source. There are two ways Piwik can guess the location of the user. The first is the default, which just uses the browser language (and so is really coarse). That's what is currently set for the bienvenida page. You can also configure it to use the IP address (using the same database I believe that we use for our internal IP geolocation). That could be turned on for future campaigns to get more accurate data on region without having to consult the webrequest logs.

Right now the Piwik dashboard for location says this (and links to: https://matomo.org/docs/geo-locate/):
Note: You are using the default location provider, which means Matomo will guess the visitor's location based on the language they use. Read this to learn how to setup more accurate geolocation.

Interesting. Could you update the meta page with this info? That way we can
roll it forward.

I'm sharing the report with the rest of the campaign team, which may
surface some follow up questions.

Sounds good @atgo

And thanks for the reminder - Meta page now reflects the above about Piwik's geolocation. I'll add the link to the page in the task description too so it's easier to find.

Isaac updated the task description. (Show Details)Jan 14 2019, 11:08 PM

Hey @chelsyx did you look into traffic overall (not just direct links) for this analysis before/during/after the campaign? If not, could you please include in T215995?

Hey @chelsyx did you look into traffic overall (not just direct links) for this analysis before/during/after the campaign? If not, could you please include in T215995?

Yes, that's the plan for T215995.

Great, thanks!

Isaac added a comment.Mar 13 2019, 6:07 PM

Hey @atgo: can we close this task out or are there still questions around the short-term analysis that you're waiting on? Thanks!

atgo closed this task as Resolved.Mar 18 2019, 4:44 PM